> ## Documentation Index
> Fetch the complete documentation index at: https://gcore.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get seller's details



## OpenAPI

````yaml /api-reference/services_documented/iam_reseller_api.yaml get /iam/admin/sellers/{sellerId}
openapi: 3.1.0
info:
  title: Gcore OpenAPI – IAM Reseller API
  description: >-
    This OpenAPI is an aggregated OpenAPI specification that unifies all Gcore
    products into a single file. It covers Cloud, CDN, DNS, WAAP, DDoS
    Protection, Object Storage, Streaming, and FastEdge services.
  version: '2026-05-14T07:00:22.640261+00:00'
servers:
  - url: https://api.gcore.com
security:
  - APIKey: []
tags:
  - name: IAM Reseller Account
    description: >-
      Account management operations including authentication, password
      management, and account details.
    x-displayName: Account
  - name: IAM Reseller Clients
    description: >-
      Clients management API.


      Note: For client's creation use [create a new
      user](#tag/Users/paths/~1users/post) method from Users management API.
    x-displayName: Clients
  - name: IAM Reseller Users
    description: Client's users management API.
    x-displayName: Users
  - name: Sellers
    description: Seller management API.
    x-displayName: Sellers
  - name: Products' availability
    description: >-
      As a reseller you can get access to multiple products that available for
      you. Such as CDN.


      With this API you can manage which products are available for you clients
      by default or manage personal

      products' availability for each client separately.
    x-displayName: Products' availability
  - name: Services
    description: Client services management API for managing service statuses and options.
    x-displayName: Services
  - name: IAM Reseller Features
    description: You can manage both free and paid features available for you.
    x-displayName: Features
  - name: Branding
    description: >-
      Branding settings management API for customizing reseller branding
      including logos, colors, and domain settings.
    x-displayName: Branding
  - name: Notification Settings
    description: Notification settings which not connected with branding
    x-displayName: Notification Settings
  - name: Other
    x-displayName: Other
paths:
  /iam/admin/sellers/{sellerId}:
    get:
      tags:
        - Sellers
      summary: Get seller's details
      operationId: iamGetSeller
      parameters:
        - name: sellerId
          in: path
          required: true
          description: Seller's ID.
          schema:
            type: integer
      responses:
        '200':
          description: OK.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Seller'
components:
  schemas:
    Seller:
      type: object
      required:
        - id
        - email
        - full_name
        - reseller_name
        - company
        - date_joined
        - activated
        - deleted
      properties:
        id:
          type: integer
          description: Seller's ID.
          readOnly: true
        email:
          type: string
          description: Seller's email address.
          format: email
          maxLength: 150
        full_name:
          type: string
          description: Seller's full name.
          maxLength: 255
        phone:
          type: string
          description: Seller's phone number.
          maxLength: 30
          pattern: ^[a-z0-9+\-()#, *]*$
        reseller_name:
          type: string
          readOnly: true
          description: Seller's reseller's name.
        company:
          type: string
          readOnly: true
          description: Seller's company.
        date_joined:
          type: string
          readOnly: true
          description: Registration date.
        activated:
          type: boolean
          readOnly: true
          description: >-
            Show the activation status of seller's account:

            - `true` – a seller has clicked on the activation link and has set
            up a password;

            - `false` – a seller hasn't clicked on the activation link.
        deleted:
          type: boolean
          readOnly: true
          description: |-
            Show the deletion status of seller's account:
            - `true` – a seller has been deleted;
            - `false` – a seller is active.
  securitySchemes:
    APIKey:
      description: >-
        API key for authentication. Make sure to include the word `apikey`,
        followed by a single space and then your token.

        Example: `apikey 1234$abcdef`
      type: apiKey
      in: header
      name: Authorization

````